import { type PDFDocumentLoadingTask, type PDFDocumentProxy, type PDFPageProxy, type PageViewport } from "pdfjs-dist";
import type { pdfPageInfo } from "../types/pdf";
declare const TextLayer: import("vue").DefineComponent<{
    page: PDFPageProxy;
    pageInfo: pdfPageInfo;
}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{
    page: PDFPageProxy;
    pageInfo: pdfPageInfo;
}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
type RenderArgs = {
    canvas: HTMLCanvasElement;
    context: CanvasRenderingContext2D;
    viewport: PageViewport;
    doc: PDFDocumentProxy;
};
type __VLS_Props = {
    pageInfo: pdfPageInfo;
    pdf: PDFDocumentLoadingTask;
    textLayer: boolean;
    render: boolean;
    onRender?: (opts: RenderArgs) => void;
    onError?: Function;
};
declare const rendering: import("vue").Ref<boolean, boolean>;
declare const canva: import("vue").Ref<HTMLCanvasElement | undefined, HTMLCanvasElement | undefined>;
declare const renderedPage: import("vue").ShallowRef<import("pdfjs-dist/types/src/display/api").PDFPageProxy | undefined, import("pdfjs-dist/types/src/display/api").PDFPageProxy | undefined>;
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_1: {}, __VLS_11: {};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    prepend?: (props: typeof __VLS_1) => any;
} & {
    append?: (props: typeof __VLS_11) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<__VLS_Props, {
    TextLayer: typeof TextLayer;
    rendering: typeof rendering;
    canva: typeof canva;
    renderedPage: typeof renderedPage;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{}>, {
    textLayer: boolean;
    render: boolean;
    onRender: (opts: RenderArgs) => void;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<__VLS_Props, {
    context: import("vue").ComputedRef<CanvasRenderingContext2D | null | undefined>;
    canvas: import("vue").Ref<HTMLCanvasElement | undefined, HTMLCanvasElement | undefined>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{}>, {
    textLayer: boolean;
    render: boolean;
    onRender: (opts: RenderArgs) => void;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
